Skip to main content
GET
/
v0
/
components
/
history
Get components history
curl --request GET \
  --url https://{hostname}.gable.ai/v0/components/history \
  --header 'X-API-KEY: <api-key>'
{
  "history": [
    {
      "runId": "<string>",
      "componentId": "<string>",
      "componentName": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "commitTimestamp": "2023-11-07T05:31:56Z",
      "analysisTimestamp": "2023-11-07T05:31:56Z",
      "jobTrigger": "<string>",
      "branchName": "<string>",
      "commitSha": "<string>",
      "namespace": "<string>",
      "repoUri": "<string>",
      "job_id": "<string>"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

componentName
string

Human-readable name of the component.

branchName
string
default:main

Filter by git branch name.

commitSha
string

Filter by git commit SHA.

namespace
string

Filter by namespace (e.g. prod, staging, dev).

timeRangeStart
string<date-time>

Inclusive start timestamp for filtering runs.

timeRangeEnd
string<date-time>

Inclusive end timestamp for filtering runs.

runId
string

Filter by specific run ID.

limit
integer
default:20

Maximum number of history entries to return.

cursor
string

Token for paginating through large result sets.

Response

Component history retrieved successfully

history
object[]
required
nextCursor
string | null

Opaque cursor for fetching the next page. Pass as cursor in the next request. Null when there are no more results.